/*
 * Copyright (c) 2007      Gustavo Pichorim Boiko <gustavo.boiko@kdemail.net>
 * Copyright (c) 2002,2003 Hamish Rodda <rodda@kde.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include <kdebug.h>

#include "krandrapp.h"
#include "krandrapp.moc"

#include "krandrtray.h"

#include "randrscreen.h"
#include "legacyrandrscreen.h"
#include <X11/Xlib.h>

KRandRApp::KRandRApp()
{
	m_display = new RandRDisplay();
#ifdef HAS_RANDR_1_2
	if (RandR::has_1_2)
	{
		//NOTE: this is here for later adding a config widget for randr1.2
		m_tray = new KRandRSystemTray(m_display, 0L, "RANDRTray");
	}
	else
#endif
		m_tray = new KRandRSystemTray(m_display, 0L, "RANDRTray");

	m_tray->show();

}

bool KRandRApp::x11EventFilter(XEvent* e)
{

	if (m_display->canHandle(e))
		m_display->handleEvent(e);

	return KApplication::x11EventFilter(e);
}
